XFcUdpCloseEngine class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcUdpCloseEngine Class Reference

XFcUdpOpenEngine UDP close state. More...

Inheritance diagram for XFcUdpCloseEngine:

[legend]
Collaboration diagram for XFcUdpCloseEngine:

[legend]
List of all members.

## Public Member Functions

virtual void | open (XFcCommunicationHandler &aCommHandler, INT32 aSendMtu, INT32 aRecvMtu)
| Opens udp engine.
virtual void | close (XFcCommunicationHandler &aCommHandler)
| Closes udpengine.
virtual INT | send (XFcClientCommWin *)
| Sends data.
virtual INT | recv (XFcCommunicationHandler &aCommHandler, XFcObjectPacketBase **, INT32 &)
| Receives data.
virtual INT | getState ()
| Returns state of engine.
virtual | ~XFcUdpCloseEngine ()
| Virtual destructor.

## Static Public Member Functions

XFcUdpCloseEngine * | create ()
| Static constructor.

## Protected Member Functions

| XFcUdpCloseEngine ()
| Protected constructor.
INT | init ()
| Inits XFcUdpCloseEngine.

## Detailed Description

XFcUdpOpenEngine UDP close state.

## Constructor & Destructor Documentation

XFcUdpCloseEngine::XFcUdpCloseEngine | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFcUdpCloseEngine::~XFcUdpCloseEngine | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual void XFcUdpCloseEngine::close | ( | XFcCommunicationHandler & | aCommHandler | ) | `[virtual]`

| Closes udpengine. Implements XFcUdpEngine.

XFcUdpCloseEngine* XFcUdpCloseEngine::create | ( |  | ) | `[static]`

| Static constructor.

virtual INT XFcUdpCloseEngine::getState | ( |  | ) | `[virtual]`

| Returns state of engine. Implements XFcUdpEngine.

INT XFcUdpCloseEngine::init | ( |  | ) | `[protected]`

| Inits XFcUdpCloseEngine.

virtual void XFcUdpCloseEngine::open | ( | XFcCommunicationHandler & | aCommHandler,
|  | INT32 | aSendMtu,
|  | INT32 | aRecvMtu
| ) | `[virtual]`

| Opens udp engine. Implements XFcUdpEngine.

virtual INT XFcUdpCloseEngine::recv | ( | XFcCommunicationHandler & | aCommHandler,
|  | XFcObjectPacketBase ** | ,
|  | INT32 & |
| ) | `[virtual]`

| Receives data. Implements XFcUdpEngine.

virtual INT XFcUdpCloseEngine::send | ( | XFcClientCommWin * |  | ) | `[virtual]`

| Sends data. Implements XFcUdpEngine.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch